Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.auth
Interface IAuthenticator

All Known Implementing Classes:
  AllowAllAuthenticator, SimpleAuthenticator

    public interface IAuthenticator

Method Summary
`void` | `login(java.lang.String keyspace, AuthenticationRequest auth_request)`

Method Detail

### login

    void login(java.lang.String keyspace,
               AuthenticationRequest auth_request)
               throws AuthenticationException,
                      AuthorizationException

  Throws:
    `AuthenticationException`
    `AuthorizationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 The Apache Software Foundation